﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace IrController.DbModel.Db.Model
{
    public class Device_Templates_x_Functions
    {
        [Key]
        public int Id { get; set;}

        public int DeviceTemplateId { get; set; }

        [ForeignKey("DeviceTemplateId")]
        [InverseProperty("DeviceFunctions")]
        public virtual DeviceTemplate DeviceTemplate { get; set; }

        public int DeviceFunctionId { get; set; }
        [ForeignKey("DeviceFunctionId")]
        [InverseProperty("DeviceFunctions")]
        public virtual DeviceFunction DeviceFunction { get; set; }
    }
}
