﻿using System;

namespace IrController.DbModel.Db.Model
{
    /// <summary>
    /// Scaned IR command
    /// </summary>
    public class MissingCode
    {

        public int Id { get; set; }
        /// <summary>
        /// Type of IR signal
        /// </summary>
        /// <example>
        /// NEC
        /// </example>
        public string IrProtocol { get; set; }

        /// <summary>
        /// IR value in HEX
        /// </summary>
        /// 
        /// <example>
        /// 0x7, 0x2
        /// </example>
        public string IrCommand { get; set; }

        public DateTime DateTimeCreated { get; set; }

        public string SAddress { get; set; }
    }
}
