﻿using System;
using System.IO;
using System.Reflection;

namespace IrController.Repository.Helpers
{
    public static class ArduinoHelper
    {
        public static string Sender(string mac, string ip, string token)
        {
            string path = System.IO.Path.GetDirectoryName(Assembly.GetEntryAssembly().Location) + "\\Helpers\\sender.txt";
            if (File.Exists(path))
            {
                string createText = File.ReadAllText(path);
                return createText.Replace("#token#", token).Replace("#current_mac#", "0x" + mac.Replace(":", ", 0x")).Replace("#current_ip#", ip.Replace(".", ", "));
            }

            return  "Invalid file or data";
        }


        public static string Receiver( string mac, string ip, string target, string token)
        {

            string path = System.IO.Path.GetDirectoryName(Assembly.GetEntryAssembly().Location) + "\\Helpers\\receiver.txt";

            if (!target.Contains(Uri.SchemeDelimiter))
            {
                target = string.Concat(Uri.UriSchemeHttp, Uri.SchemeDelimiter, target);
            }
            Uri uri = new Uri(target);

            if (File.Exists(path))
            {
                string createText = File.ReadAllText(path);
                return createText.Replace("#token#", token).Replace("#current_mac#", "0x" + mac.Replace(":", ", 0x")).Replace("#current_ip#", ip.Replace(".", ", ")).Replace("#target#", uri.Host).Replace("#target_port#", uri.Port.ToString());
            }

            return "Invalid file or data";
        }

    }
}
