﻿using IrController.Model;
using System.Collections.Generic;

namespace IrController.Repository
{
    public interface IArduinoRepository
    {
        List<ArduinoModel> GetArduinos();
        bool ManageArduino(ArduinoModel arduino);
        string RemoveArduino(int id);

        ArduinoModel GetArduino(int id);


        List<ArduinoSimple> GetSimpleArduinos();
        
    }
}