﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ApiNamespaceGenerator
{
    class Program
    {
        static void Main(string[] args)
        {
            string path = $"{Path.Combine(AppDomain.CurrentDomain.BaseDirectory, @"..\")}\\Controllers";
            string myAPI = path + "\\IrControllerApi.cs";
            string models = path + "\\Models";


            foreach (string file in Directory.EnumerateFiles(path, "*.cs"))
            {
                string contents = File.ReadAllText(file).Replace("using Models;", "").Replace("IrController.Model", "IrController.ApiProvider.Controllers").Replace("AAAIIIIIAAA", ".")
                    .Replace("ServiceClientCredentials Credentials { get; }", "ServiceClientCredentials Credentials { get; set;}")
                    .Replace("public ServiceClientCredentials Credentials { get; private set; }", "public ServiceClientCredentials Credentials { get; set; }");
                File.WriteAllText(file, contents);
            }

            try
            {
                if (Directory.Exists(models))
                {
                    Directory.Delete(models, true);
                }
            }
            catch (Exception e)
            {
                //throw new Exception("Cannot found Skyline.ApiClient/Controllers/Models");
            }

        }
    }
}
