﻿using Microsoft.Extensions.Hosting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace IrController.Api.Tcp
{
    public class TcpServer : BackgroundService
    {
        public TcpServer()
        {
        }

        protected override async Task ExecuteAsync(CancellationToken stoppingToken)
        {
            TcpListener listener = new TcpListener(IPAddress.Any, 8899);
            listener.Start();
            while (!stoppingToken.IsCancellationRequested)
            {
                TcpClient client = await listener.AcceptTcpClientAsync();
                Console.WriteLine("Connected");
                NetworkStream stream = client.GetStream();

                while (!stoppingToken.IsCancellationRequested)
                {
                    byte[] data = new byte[1024];
                    int read = await stream.ReadAsync(data, 0, 1024, stoppingToken);
                    var cmd = Encoding.UTF8.GetString(data, 0, read);
                    Console.WriteLine($"received : {cmd}");

                    if (cmd == "test")
                    {
                        Console.WriteLine($"test");
                        continue;
                    }

                    await stream.WriteAsync(data, 0, read, stoppingToken);
                    stream.Flush();
                }
            }
        }
    }
}
