﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;


namespace IrController.DbModel.Db
{
    public class IrControllerContextFactory : IDesignTimeDbContextFactory<IrControllerContext>
    {
        private static string DefaultConnectionString { get; set; } = "Data Source=DESKTOP-JBN86D3\\LOCALDB;Initial Catalog=IrController;Integrated Security=True";

        public IrControllerContext CreateDbContext(string[] args)
        {
            var optionsBuilder = new DbContextOptionsBuilder<IrControllerContext>();

            optionsBuilder.UseSqlServer(DefaultConnectionString);

            return new IrControllerContext(optionsBuilder.Options);

        }

    }
}
