﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace IrController.DbModel.Db.Model
{
    public class DeviceCategory
    {
        [Key]
        public int Id { get; set; }
        public string Name { get; set; }
        public string CodeString { get; set; }

        [InverseProperty("DeviceCategory")]
        public virtual List<DeviceFunction> DeviceFunctions { get; set; }
    }
}
