﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Text;

namespace IrController.DbModel.Db.Model
{
    public class DeviceFunction
    {
        public DeviceFunction()
        {
            DeviceFunctions = new List<Device_Templates_x_Functions>();
            Codes = new List<Code>();
        }

        [Key]
        public int Id { get; set; }
        public string Name { get; set; }

        public string CodeString { get; set; }

        public int DeviceCategoryId { get; set; }

        public string Url { get; set; }

        [ForeignKey("DeviceCategoryId")]
        [InverseProperty("DeviceFunctions")]
        public virtual DeviceCategory DeviceCategory { get; set; }

        [InverseProperty("DeviceFunction")]
        public virtual List<Device_Templates_x_Functions> DeviceFunctions { get; set; }

        [InverseProperty("DeviceFunction")]
        public virtual List<Code> Codes { get; set; }
    }
}
