﻿using System;
using System.Linq;
using System.Security.Cryptography;
using System.Text;

namespace IrController.Repository.Helpers
{
    public static class HashHelper
    {
        public static string CalculateHash()
        {
            const string chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
            var random = new Random();
            string text = new string(Enumerable.Repeat(chars, 10).Select(s => s[random.Next(s.Length)]).ToArray());
            byte[] saltedHashBytes = Encoding.UTF8.GetBytes(DateTime.Now.ToString() + text);

            HashAlgorithm algorithm = new SHA256Managed();
            byte[] hash = algorithm.ComputeHash(saltedHashBytes);

            algorithm.Dispose();
            return Convert.ToBase64String(hash);
        }
    }
}
