﻿using IrController.Model;
using System;
using System.Collections.Generic;

namespace IrController.Repository
{
    public interface IDeviceRepository
    {
        bool ManageDevice(DeviceModel device);

        DeviceModel GetDevice(int id);
        List<DeviceModel> GetDevices();
        public string RemoveDevice(int id);
        List<DeviceTemplateModel> GetDeviceTemplates();
        JsonReponse GetHttpRgbPushAccessory(string apiUrl, int id);

        JsonReponse GetArduinoSender(string apiUrl, int id);

        JsonReponse GetArduinoReceiver(string apiUrl, int id);

    }
}